Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Class DCControlBindingDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.adf.model.binding.DCControlBindingDef`

Direct Known Subclasses:
  DCParameterDef, JUControlDef

public abstract class DCControlBindingDef
extends DCDefBase

Field Summary
`static java.lang.String` | `PNAME_ControlBindingClass`
`static java.lang.String` | `PNAME_ControlClass`
`static java.lang.String` | `PNAME_CustomInputHandler`
`static java.lang.String` | `PNAME_InitialValue`
`static java.lang.String` | `PNAME_IterBinding`
`static java.lang.String` | `PNAME_TYPE`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`protected` | `DCControlBindingDef()`
`protected` | `DCControlBindingDef(java.lang.String name, java.lang.String controlClassName, java.lang.String controlBindingClassName, java.lang.String iterBindingName)`

Method Summary
`java.lang.Object` | `createControl()`
`DCControlBinding` | `createControlBinding(DCBindingContainer formBnd)`
`DCControlBinding` | `createControlBinding(java.lang.Object control, DCBindingContainer formBnd)`
`protected abstract DCControlBinding` | `createControlBindingInstance(java.lang.Object control, DCBindingContainer formBnd)`
`DCBindingContainerDef` | `getBindingContainerDef()`
`java.lang.String` | `getControlBindingClassName()`
`java.lang.String` | `getControlClassName()`
`java.lang.String` | `getDesignTimeClass()`
`java.lang.Object` | `getInitialValue()`
`DCIteratorBinding` | `getIterBinding(DCBindingContainer formBnd)`
`java.lang.String` | `getIterBindingName()`
`oracle.adf.model.layout.DCLayoutConsDef` | `getLayoutCons()`
`java.lang.String` | `getXMLElementTag()`
`void` | `init(java.util.HashMap initValues)`
`protected void` | `loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)`
`protected void` | `loadCustomDef(oracle.jbo.mom.xml.DefElement xmlElement)` called after a binding's loadFromXML is done and it needs to load extra metadata like properties, validations etc.
`protected void` | `retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement, java.util.HashMap valueTab)`
`protected void` | `setBindingContainerDef(DCBindingContainerDef formDef)`
`void` | `setControlBindingClassName(java.lang.String controlBindingClassName)`
`void` | `setControlClassName(java.lang.String controlClassName)`
`void` | `setInitialValue(java.lang.Object initialValue)`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, initSubType, isDirty, isNew, loadFromXML, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PNAME_TYPE

    public static final java.lang.String PNAME_TYPE

  See Also:
    Constant Field Values

### PNAME_ControlClass

    public static final java.lang.String PNAME_ControlClass

  See Also:
    Constant Field Values

### PNAME_ControlBindingClass

    public static final java.lang.String PNAME_ControlBindingClass

  See Also:
    Constant Field Values

### PNAME_IterBinding

    public static final java.lang.String PNAME_IterBinding

  See Also:
    Constant Field Values

### PNAME_InitialValue

    public static final java.lang.String PNAME_InitialValue

  See Also:
    Constant Field Values

### PNAME_CustomInputHandler

    public static final java.lang.String PNAME_CustomInputHandler

  See Also:
    Constant Field Values

Constructor Detail

### DCControlBindingDef

    protected DCControlBindingDef()

### DCControlBindingDef

    protected DCControlBindingDef(java.lang.String name,
                                  java.lang.String controlClassName,
                                  java.lang.String controlBindingClassName,
                                  java.lang.String iterBindingName)

Method Detail

### init

    public void init(java.util.HashMap initValues)

  Overrides:
    `init` in class `DCDefBase`

### getDesignTimeClass

    public java.lang.String getDesignTimeClass()

### getControlClassName

    public java.lang.String getControlClassName()

### setControlClassName

    public void setControlClassName(java.lang.String controlClassName)

### getControlBindingClassName

    public java.lang.String getControlBindingClassName()

### setControlBindingClassName

    public void setControlBindingClassName(java.lang.String controlBindingClassName)

### getIterBindingName

    public java.lang.String getIterBindingName()

### setBindingContainerDef

    protected void setBindingContainerDef(DCBindingContainerDef formDef)

### getBindingContainerDef

    public final DCBindingContainerDef getBindingContainerDef()

### getIterBinding

    public DCIteratorBinding getIterBinding(DCBindingContainer formBnd)

### getLayoutCons

    public oracle.adf.model.layout.DCLayoutConsDef getLayoutCons()

### getInitialValue

    public java.lang.Object getInitialValue()

### setInitialValue

    public void setInitialValue(java.lang.Object initialValue)

### createControl

    public java.lang.Object createControl()

### createControlBindingInstance

    protected abstract DCControlBinding createControlBindingInstance(java.lang.Object control,
                                                                     DCBindingContainer formBnd)

### createControlBinding

    public DCControlBinding createControlBinding(java.lang.Object control,
                                                 DCBindingContainer formBnd)

### createControlBinding

    public DCControlBinding createControlBinding(DCBindingContainer formBnd)

### getXMLElementTag

    public java.lang.String getXMLElementTag()

  Specified by:
    `getXMLElementTag` in class `DCDefBase`

### retrieveFromXML

    protected void retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement,
                                   java.util.HashMap valueTab)

  Overrides:
    `retrieveFromXML` in class `DCDefBase`

### loadChildrenFromXML

    protected void loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)

  Overrides:
    `loadChildrenFromXML` in class `DCDefBase`

### loadCustomDef

    protected void loadCustomDef(oracle.jbo.mom.xml.DefElement xmlElement)

  called after a binding's loadFromXML is done and it needs to load extra metadata like properties, validations etc. BindingContainerDef is already set by this time on the controldef.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.